#!/software/bin/perl -wT
##!/nfs/team117/gq1/dev/bin/perl -wT
#########
# Author:        gq1
# Maintainer:    $Author: gq1 $
# Created:       2008-07-23
# Last Modified: $Date: 2008-11-06 15:46:38 +0000 (Thu, 06 Nov 2008) $
# Id:            $Id: npg_qc_api_runlog.pl 3386 2008-11-06 15:46:38Z gq1 $
# $HeadURL: svn+ssh://svn.internal.sanger.ac.uk/repos/svn/new-pipeline-dev/npg-qc/tags/release-4.0/scripts/npg_qc_api_runlog.pl $
#

use strict;
use warnings;
use lib qw(lib /software/solexa/lib/site_perl/);
use SangerPaths qw(core ensembl tracking trackingnpg badger);
use npg_qc::api::main;
use npg_qc::api::util;
use LWP::UserAgent;
use Carp;
use English qw{-no_match_vars};

our $VERSION = do { my ($r) = q$LastChangedRevision: 3386 $ =~ /(\d+)/mx; $r; };

$ENV{'PATH'} = join q(:), qw(/bin /usr/bin /usr/local/bin);

main();
0;

sub main {
  print qq{Processing...\n};
  #########
  # overide base uri for npg_qc
  #my $uri  = q{http://deskpro19635.dynamic.sanger.ac.uk:8080/cgi-bin/prodsoft/npg_qc/npg_qc/};
  my $uri  = q{http://intwebdev.sanger.ac.uk/cgi-bin/prodsoft/npg_qc/npg_qc/};

  my $util = npg_qc::api::util->new({
    useragent => undef,
    base_uri  => $uri,
    parser    => undef,
  });
  ########
  # create main object
  my $api_main = npg_qc::api::main->new({util => $util});
  #######
  # set default expected paths for the GERALD folders with fuzzy matching
  $api_main->set_runlog_file_root('/staging');
  $api_main->set_runlog_file_outgoing('IL*/outgoing/*/RunLog_concat.xml');
  $api_main->set_runlog_file_analysis('IL*/analysis/*/RunLog_concat.xml');
  print qq{Created workhorse successfully...\nAttempting to process RunLog_concat.xml files (this may take a few minutes)...\n};
  #######
  # run main process_all_bustard file, evaluate and exit
  eval{ $api_main->process_all_runlog(); };
  if ($EVAL_ERROR) {
    croak $EVAL_ERROR;
  }
  print qq{\nAll Files processed successfully.\n};
}
